/* benchmark.h
 * Ben Lynn
 */

/*
Copyright (C) 2001 Benjamin Lynn (blynn@cs.stanford.edu)

This file is part of the Stanford IBE system.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef BENCHMARK_H
#define BENCHMARK_H

#define BENCHMARK

#ifdef __cplusplus
extern "C" {
#endif

struct benchmark_s {
    double time;
    char name[100];
};

void bm_put(double t, char *s);
double bm_get(char *s);
double bm_get_time(void);

#ifdef __cplusplus
}
#endif

#endif
