/* header file for ibe.cc et al.
 * Ben Lynn
 */
/*
Copyright (C) 2001 Benjamin Lynn (blynn@cs.stanford.edu)

This file is part of the Stanford IBE system.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef IBE_PROGS_H
#define IBE_PROGS_H

#include "config.h"

int decrypt(int argc, char **argv);
int encrypt(int argc, char **argv);
int request(int argc, char **argv);
int combine(int argc, char **argv);
int imratio(int argc, char **argv);

int extract_share(int argc, char **argv);
int key_from_master_shares(int argc, char **argv);
int fixed_password_decrypt(int argc, char **argv);

extern CONF_CTX *cnfctx;

#endif //IBE_PROGS_H
