/* Hack that makes PKCS12 blobs.
 * (We're waiting for OpenSSL to provide library routines.)
 * Based on code by Dan Boneh
 * Ben Lynn
 */
/*
Copyright (C) 2001 Benjamin Lynn (blynn@cs.stanford.edu)

This file is part of the Stanford IBE system.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
#ifndef PKCS12_H
#define PKCS12_H

extern "C" {
int pkcs12_write(unsigned char **outbuf, int *outlen,
		unsigned char *inbuf, int inbuflen, char *pass);
int pkcs12_read(unsigned char** out, int* outl,
		const unsigned char* in, const int inl, const char *pass);
}
#endif //PKCS12_H
