#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int id_check(char *pwfile, char *id)
{

	FILE *fp;
	char buf[200];

	fp = fopen(pwfile, "r");
	if (fp == NULL) return -1;
		
	while(!feof(fp))
	{
		fgets(buf, 200, fp);
		buf[strlen(id)] = '\0';
		if(strcmp(buf, id) == 0) 
		{
			fclose(fp);
			return 1;
		}
	}
	fclose(fp);
	return 0;
}

char *get_password(char *pwfile, char *id)
{
	
	FILE *fp;
	char buf[200];
	char *pw;
	int pos, i, count;

	fp = fopen(pwfile, "r");
		
	while(!feof(fp))
	{
		fgets(buf, 200, fp);
		buf[strlen(id)] = '\0';
		if(strcmp(buf, id) == 0) 
		{
			count = 0;
			pos = strlen(id) + 1;
			while (buf[pos] != ' ')
			{
				count++;
				pos++;
			}

			i = 0;
			pw = (char *) malloc(count * sizeof(char));
			pos = strlen(id) + 1;

			while (buf[pos] != ' ')
			{
				pw[i] = buf[pos];
				i++;
				pos++;
			}
			fclose(fp);
			pw[i] = '\0';
			return pw;
		}
	}
	fclose(fp);
	return NULL;	
}

char *get_path(char *pwfile, char *id)
{
	
	FILE *fp;
	char buf[200];
	char *path;
	int pos, oldpos, i, count;

	fp = fopen(pwfile, "r");
		
	while(!feof(fp))
	{
		fgets(buf, 200, fp);
		buf[strlen(id)] = '\0';
		if(strcmp(buf, id) == 0) 
		{
			count = 0;
			pos = strlen(id) + 1;
			while (buf[pos] != ' ')
			{
				pos++;
			}

			oldpos = ++pos;
			while (buf[pos] != ' ')
			{
				count++;
				pos++;
			}

			i = 0;
			path = (char *) malloc(count * sizeof(char));
			pos = oldpos;

			while (buf[pos] != ' ')
			{
				path[i] = buf[pos];
				i++;
				pos++;
			}
			fclose(fp);
			path[i] = '\0';
			return path;
		}
	}
	fclose(fp);
	return NULL;	
}



